package org.springblade.party.feign;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.support.Query;
import org.springblade.core.secure.BladeUser;
import org.springblade.core.tool.api.R;
import org.springblade.party.dto.BranchDTO;
import org.springblade.party.entity.Branch;
import org.springblade.party.vo.BranchVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;
import java.util.Map;

@Component
public class BranchClientFallback implements IBranchClient {
            /**
         * 详情
         */
        @Override
        public BranchVO detail(Branch branch) {
            return null;
        }

	@Override
	public R<IPage<BranchVO>> list(Map<String, Object> branch, Query query, BladeUser bladeUser) {
		return null;
	}

//	/**
//         * 查询
//         */
//        @Override
//        public List<BranchVO> list(Branch branch) {
//            return null;
//        }



        /**
         * 新增
         */
        @Override
        public boolean save( Branch branch) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Branch branch) {
            return false;
        }

		@Override
		public R submit(@Valid BranchDTO branch, BladeUser bladeUser) {
			return null;
		}

//	/**
//         * 新增或修改
//         */
//        @Override
//        public boolean submit( Branch branch) {
//            return false;
//        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R<List<BranchVO>> appList(Long enterpriseStaffId) {
		return null;
	}

	@Override
	public R<List<Branch>> getListForAgency(BladeUser bladeUser) {
		return null;
	}

}
